Bulk create cards
curl --request POST \
--url https://thirdparty.qonto.com/v2/cards/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cards": [
{}
]
}
'import requests
url = "https://thirdparty.qonto.com/v2/cards/bulk"
payload = { "cards": [{}] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cards: [{}]})
};
fetch('https://thirdparty.qonto.com/v2/cards/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cards": [
{
"card": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nickname": "๐ณ for ๐",
"embossed_name": "DOLORES KOULECHOV",
"status": "pending",
"pin_set": true,
"mask_pan": "511768******7662",
"exp_month": "3",
"exp_year": "2024",
"last_activity_at": "2023-11-07T05:31:56Z",
"last_digits": "7662",
"ship_to_business": false,
"atm_option": true,
"nfc_option": true,
"online_option": true,
"foreign_option": true,
"atm_monthly_limit": 1000,
"atm_monthly_spent": 1000,
"atm_daily_limit": 1000,
"atm_daily_spent": 0,
"atm_daily_limit_option": true,
"payment_monthly_limit": 1000,
"payment_monthly_spent": 1000,
"payment_daily_limit": 1000,
"payment_daily_spent": 1000,
"payment_daily_limit_option": true,
"payment_transaction_limit": 1000,
"payment_transaction_limit_option": true,
"active_days": [
1,
3,
5
],
"holder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initiator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"shipped_at": null,
"card_type": "debit",
"card_level": "standard",
"payment_lifespan_limit": 100,
"payment_lifespan_spent": 42,
"pre_expires_at": "2023-11-07T05:31:56Z",
"categories": [
"transport",
"restaurant_and_bar",
"food_and_grocery"
],
"renewed": false,
"renewal": false,
"parent_card_summary": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_digits": "7662"
},
"had_operation": false,
"had_pin_operation": false,
"card_design": "standard.recycled.plastic.2023",
"type_of_print": "embossed",
"upsold": false,
"upsell": false,
"discard_on": "2022-11-31",
"reordered": false,
"appearance": {
"assets": {
"front_large": "https://qonto.com/card-designs/standard/standard.recycled.plastic.2023/front_large.png",
"front_small": "https://qonto.com/card-designs/standard/standard.recycled.plastic.2023/front_small.png",
"front_small_wallet": "https://qonto.com/card-designs/standard/standard.recycled.plastic.2023/front_small_wallet.png"
},
"theme": "dark",
"gradient_hex_color": "#000000"
},
"has_only_user_liftable_locks": true
}
}
]
}
Cards
Bulk create cards
OAuth scope: card.write
This operation requires Strong Customer Authentication.
Creates multiple cards for the authenticated organization.
This endpoint is still in beta. Please get in touch with our team if you have any question or feedback: here.
POST
/
v2
/
cards
/
bulk
Bulk create cards
This endpoint is a sensitive action and requires Strong Customer Authentication (SCA). You may receive a
428 Precondition Required response, which means SCA is required before proceeding.Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
application/json
cards
(CreatePhysicalCard ยท object | CreateVirtualCard ยท object | CreateFlashCard ยท object | CreateAdvertisingCard ยท object)[]
required
Required array length:
1 - 50 elements- CreatePhysicalCard
- CreateVirtualCard
- CreateFlashCard
- CreateAdvertisingCard
Show child attributes
Show child attributes
Response
Returns the card creation result, in the same order as provided in the request.
A representation of a card, wrapped in a card property
- Option 1
- Errors
Show child attributes
Show child attributes
Was this page helpful?
โI